<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.4.0.final using JasperReports Library version 6.4.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="invoice" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="85262803-71c7-4f31-bc07-cc0804c631d1">
	<property name="ireport.zoom" value="1.464100000000005"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="invoiceDate" class="java.lang.String"/>
	<parameter name="expireDate" class="java.lang.String"/>
	<parameter name="invoiceNumber" class="java.lang.String"/>
	<parameter name="invoice" class="com.wings.base.domain.invoice.Invoice"/>
	<parameter name="detailds" class="net.sf.jasperreports.engine.data.JRBeanCollectionDataSource"/>
	<parameter name="balDs" class="net.sf.jasperreports.engine.data.JRBeanCollectionDataSource"/>
	<parameter name="cdrDs" class="net.sf.jasperreports.engine.data.JRBeanCollectionDataSource"/>
	<parameter name="jrDetail" class="java.lang.String"/>
	<parameter name="jrBalance" class="java.lang.String"/>
	<parameter name="jrCdr" class="java.lang.String"/>
	<parameter name="logo" class="java.lang.String"/>
	<parameter name="jrCdrPerLine" class="java.lang.String" evaluationTime="Early"/>
	<parameter name="jrBalancePerLine" class="java.lang.String" evaluationTime="Early"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="75" splitType="Stretch">
			<rectangle>
				<reportElement x="0" y="0" width="555" height="75" forecolor="#7F7F7F" uuid="797ecdc3-73ae-40bf-8f37-e205ec08711d"/>
			</rectangle>
			<staticText>
				<reportElement x="338" y="9" width="138" height="15" forecolor="#7F7F7F" uuid="cc4eb3c3-d355-440b-8eb5-859ef99d0693"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Wings Mobile SL]]></text>
			</staticText>
			<staticText>
				<reportElement x="338" y="25" width="138" height="15" forecolor="#7F7F7F" uuid="75696c48-95b4-4c88-a36b-b0ea2a626419"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[c/Beethoven 15, piso 4]]></text>
			</staticText>
			<staticText>
				<reportElement x="338" y="37" width="138" height="15" forecolor="#7F7F7F" uuid="635b60a1-c602-4da3-a5c5-365b88cac42f"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[08021 Barcelona]]></text>
			</staticText>
			<staticText>
				<reportElement x="338" y="51" width="138" height="15" forecolor="#7F7F7F" uuid="8c1502a8-ec99-4f59-a72a-ab304c1ab018"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[CIF: B85075588]]></text>
			</staticText>
			<image>
				<reportElement x="490" y="7" width="60" height="57" uuid="c3e014b1-ad81-484e-abb7-6f14cda8b6fa"/>
				<imageExpression><![CDATA[$P{logo}]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="10" y="2" width="328" height="15" forecolor="#7F7F7F" uuid="e6298392-2b42-432e-bbb9-c17421bc908d"/>
				<textElement verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Factura Nro]]></text>
			</staticText>
			<textField>
				<reportElement x="10" y="16" width="328" height="15" forecolor="#7F7F7F" uuid="869768ed-0fda-4e7e-8d9d-6cfd02b7e620"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getInvoiceNumber()]]></textFieldExpression>
			</textField>
			<textField pattern="MM/dd/yyyy">
				<reportElement x="10" y="30" width="328" height="15" forecolor="#7F7F7F" uuid="db4fc4d8-ee2d-4b73-b070-16c27b8b1dde"/>
				<textElement verticalAlignment="Bottom">
					<font size="10" isBold="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Fecha: " + new SimpleDateFormat("dd/MM/yyy").format($P{invoice}.getInvoiceDate())]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="10" y="44" width="328" height="15" forecolor="#7F7F7F" uuid="2f3fe76a-0db3-4662-bfe5-f4c131e749e0"/>
				<textElement verticalAlignment="Bottom">
					<font size="10" isBold="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Vencimiento:" + new SimpleDateFormat("dd/MM/yyy").format($P{invoice}.getExpireDate())]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="10" y="59" width="328" height="15" forecolor="#7F7F7F" uuid="06a45488-66a6-47d8-bf2a-5943e07d4adb"/>
				<textElement verticalAlignment="Bottom">
					<font size="10" isBold="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Período: " + $P{invoice}.getMonth() + " - " + $P{invoice}.getYear()]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="85" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<textField>
				<reportElement x="10" y="7" width="328" height="15" forecolor="#010101" uuid="51f628bb-cbcd-4333-8c58-4a74566ebc24"/>
				<textElement verticalAlignment="Middle">
					<font size="12" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getClientName()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="10" y="21" width="328" height="15" forecolor="#010101" uuid="92a52e91-6556-482f-995e-56da203eae7f"/>
				<textElement verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getClientAddress()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="10" y="35" width="328" height="15" forecolor="#010101" uuid="e7e6c40e-cf3c-4d21-b91e-635f9afed2df"/>
				<textElement verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getClientCity() + " " + $P{invoice}.getClientState()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="10" y="49" width="328" height="15" forecolor="#010101" uuid="c0eb201a-9e34-4897-b8e1-d7c287c343ec"/>
				<textElement verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getClientDni()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="391" y="20" width="159" height="15" forecolor="#010101" uuid="d01b2461-801d-4fd0-846c-dd8ee0b587d6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getEcode()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="391" y="5" width="159" height="15" forecolor="#7F7F7F" uuid="4143af57-8cdd-46a9-af4e-924e59b1cd94"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Código de pago electrónico]]></text>
			</staticText>
			<staticText>
				<reportElement x="392" y="37" width="159" height="15" forecolor="#7F7F7F" uuid="c14b72ee-e510-4e5b-b300-672cbc5a2303"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10" isBold="true"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Este mes su factura es de]]></text>
			</staticText>
			<textField>
				<reportElement mode="Opaque" x="392" y="52" width="158" height="30" forecolor="#FFFFFF" backcolor="#3876BB" uuid="f5b514c4-2434-47be-ae96-531554e91761"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{invoice}.getTotalText()]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="5" splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<subreport overflowType="Stretch">
				<reportElement x="0" y="0" width="555" height="29" uuid="9574dcfd-d715-49f8-a669-3fe814459d72"/>
				<parametersMapExpression><![CDATA[$P{REPORT_PARAMETERS_MAP}]]></parametersMapExpression>
				<dataSourceExpression><![CDATA[$P{detailds}]]></dataSourceExpression>
				<subreportExpression><![CDATA["/var/wings/reports/invoice/detail.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="20">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<subreport overflowType="Stretch">
				<reportElement x="0" y="0" width="555" height="20" uuid="6c5b9f64-15ad-47d8-8bd9-685a99ad9a6d">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<parametersMapExpression><![CDATA[$P{REPORT_PARAMETERS_MAP}]]></parametersMapExpression>
				<dataSourceExpression><![CDATA[$P{balDs}]]></dataSourceExpression>
				<subreportExpression><![CDATA["/var/wings/reports/invoice/balance.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="25">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<subreport overflowType="Stretch">
				<reportElement x="0" y="0" width="555" height="20" uuid="6c5b9f64-15ad-47d8-8bd9-685a99ad9a6d">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<parametersMapExpression><![CDATA[$P{REPORT_PARAMETERS_MAP}]]></parametersMapExpression>
				<dataSourceExpression><![CDATA[$P{cdrDs}]]></dataSourceExpression>
				<subreportExpression><![CDATA["/var/wings/reports/invoice/cdr.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
		</band>
	</columnFooter>
	<pageFooter>
		<band height="15" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<staticText>
				<reportElement x="5" y="0" width="328" height="15" forecolor="#7F7F7F" uuid="562805b4-305b-4736-826c-a63e64b32dce"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Atención al cliente: (+34) 900 838 137 - atencionalcliente@wingsmobile.es]]></text>
			</staticText>
			<textField evaluationTime="Report">
				<reportElement x="506" y="0" width="45" height="15" forecolor="#7F7F7F" uuid="b2b60f39-8b65-49b2-aaf8-5f7437024df1">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[" de " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="398" y="0" width="108" height="15" forecolor="#7F7F7F" uuid="0dea1f7a-7b52-473e-b1b6-5df4eb135e6d"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Página " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="1" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
		</band>
	</summary>
</jasperReport>
